# Core Java Evaluation - Revature

## Description

Revature is building a new API! This API contains methods for validating data, 
solving problems, and encoding data. The API consists of 20 methods:

#### Required Challenge Questions:
* Without using the StringBuilder or StringBuffer class, write a method that reverses a String.
* Convert a phrase to its acronym.
* Determine if a triangle is equilateral, isosceles, or scalene. 
* Given a word, compute the scrabble score for that word.
* Clean up user-entered phone numbers so that they can be sent SMS messages.
* Given a phrase, count the occurrences of each word in that phrase.
* Implement a binary search algorithm.
* Create an implementation of the rotational cipher, also sometimes called the Caesar cipher.
* Given a number n, determine what the nth prime is.
* Determine if a sentence is a pangram.

#### Bonus challenge questions:
* Implement a program that translates from English to Pig Latin.
* An Armstrong number is a number that is the sum of its own digits each raised to the power of the number of digits.
* Compute the prime factors of a given natural number.
* Create an implementation of the atbash cipher, an ancient encryption system created in the Middle East. Encode a value with the cipher
* Create an implementation of the atbash cipher, an ancient encryption system created in the Middle East. Decode a value with the cipher
* Write a method that validates a number to be proper ISBN-10.
* Calculate the moment when someone has lived for 10^9 seconds.
* Given a number, find the sum of all the unique multiples of particular numbers up to but not including that number.
* Given a number determine whether or not it is valid per the Luhn formula.
* Parse and evaluate simple math word problems returning the answer as an integer.

## Requirements
* Git
* GitLab Account
* IDE/Text Editor

Clone this repository locally. 

Open a terminal shell or git-scm terminal and clone the repository to your computer using the Git command:
	
	git clone https://github.com/[OrganizationName]/[RepositoryName].git

Next, open the project with your preferred text editor or IDE and complete the assignment according to each question's instructions. If using IntelliJ, open the project by selecting 'open,' navigating to the 'core-java-assignment' file directory, and selecting the pom.xml file. Your IDE should give you the option to open as a project, select that option.


You will be added to a private subgroup for your work, where you can create a remote repository to submit your completed assignment. Remember, because you cloned this project, the default 'origin' value will point to this repository. You'll want to make sure to change the remote URL to your own remote repository.  When you are ready to submit your assignment, add, commit, and push your changes. 

Be sure not to alter the folder structure, configuration files, or unit tests of the assignment unless specifically told to do so by your trainer. The completed assignment should be pushed to your GitLab repo by the end of the day Monday, Februrary 28, 2022.